<?xml version="1.0" encoding="UTF-8"?>

<?import javafx.scene.control.Button?>
<?import javafx.scene.control.Label?>
<?import javafx.scene.control.PasswordField?>
<?import javafx.scene.control.TextField?>
<?import javafx.scene.image.ImageView?>
<?import javafx.scene.layout.Pane?>
<?import javafx.scene.text.Font?>

<Pane maxHeight="-Infinity" maxWidth="-Infinity" minHeight="-Infinity" minWidth="-Infinity" prefHeight="500.0" prefWidth="643.0" style="-fx-background-color: #9EADC8;" xmlns="http://javafx.com/javafx/17" xmlns:fx="http://javafx.com/fxml/1" fx:controller="org.openjfx.javafx_archetype_simple.PrimaryController">
   <children>
      <Label layoutX="288.0" layoutY="146.0" text="Identifiant" textFill="WHITE">
         <font>
            <Font name="System Bold Italic" size="16.0" />
         </font></Label>
      <TextField fx:id="textfieldID" layoutX="231.0" layoutY="172.0" prefHeight="25.0" prefWidth="193.0" />
      <Label layoutX="279.0" layoutY="213.0" text="Mot de passe" textFill="WHITE">
         <font>
            <Font name="System Bold Italic" size="16.0" />
         </font></Label>
      <Button fx:id="connexionButton" layoutX="267.0" layoutY="291.0" onAction="#connexion" prefHeight="25.0" prefWidth="121.0" style="-fx-background-color: #BDEDFF;" text="Se connecter">
         <font>
            <Font size="16.0" />
         </font></Button>
      <Button fx:id="mdpButton" layoutX="243.0" layoutY="341.0" onAction="#switchToMdp" style="-fx-background-color: #9EADC8;" text="Mot de passe oublié ?" textFill="#2000eb">
         <font>
            <Font name="System Italic" size="16.0" />
         </font></Button>
      <Button fx:id="inscriptionButton" layoutX="456.0" layoutY="419.0" onAction="#switchToInscription" style="-fx-background-color: #58FD4B;" text="Créer un compte" textFill="WHITE">
         <font>
            <Font name="System Bold" size="16.0" />
         </font></Button>
      <PasswordField fx:id="passwordfieldMDP" layoutX="231.0" layoutY="238.0" prefHeight="25.0" prefWidth="193.0" />
      <Label layoutX="207.0" layoutY="47.0" text="Connexion" textFill="#2e4880">
         <font>
            <Font name="System Bold" size="48.0" />
         </font>
      </Label>
      <Label layoutX="20.0" layoutY="1.0" prefHeight="162.0" prefWidth="28.0" style="-fx-background-color: #ECD465;" />
      <ImageView fx:id="imageviewDessin" fitHeight="77.0" fitWidth="77.0" layoutX="481.0" layoutY="44.0" pickOnBounds="true" preserveRatio="true" />
      <Label layoutX="34.0" prefHeight="184.0" prefWidth="28.0" style="-fx-background-color: #90EAB1;" />
      <Label layoutX="598.0" layoutY="1.0" prefHeight="162.0" prefWidth="28.0" style="-fx-background-color: #ECD465;" />
      <Label layoutX="584.0" prefHeight="184.0" prefWidth="28.0" style="-fx-background-color: #90EAB1;" />
   </children>
</Pane>
